#!/bin/sh

case "$1" in
    remap)
        shift
        echo "Running remap command for \`data/remark/var/rules\` for site \"$1\""
        docker-compose exec remark remark42 remap --admin-passwd "$(grep -Po '(?<=ADMIN_PASSWD=).*$' .env)" -f var/rules -s "$1"
        ;;

    boltbrowser)
        shift
        site="$1"
        shift
        echo "Running boltbrowser for \`data/remark/var/db/$site.db\`"
        sudo ~/.local/share/go/bin/boltbrowser $@ "data/remark/var/db/$site.db"
esac
